/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.95-2C
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 2.3.4 IDE  
NOTE: test OK:ESP32-WROOM-32  
****************************************************/

/*  == Hardward SPI to ESP32  ==
    OLED   =>    ESP32
  *1. GND       ->    GND
  *2. VCC       ->    3.3 
  *3. SCK       ->    18  
  *4. SDI       ->    23  
  *5. RES       ->    16   
  *6. A0/DC     ->    17  
  *7. CS        ->    5 
*/

#include <SPI.h>
#include <Wire.h>
#include "ssd1331.h"

#define WIDTH      96
#define HEIGHT     64
#define PAGES       8

uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");
  
  SSD1331_begin();

}

void loop() {

  SSD1331_clear(RED);   
   delay(1000); 
  SSD1331_clear(GREEN);   
   delay(1000);    
  SSD1331_clear(BLUE);   
   delay(1000);       
  SSD1331_clear(WHITE);   
   delay(1000);    
  SSD1331_clear(CYAN);   
   delay(1000);    
  SSD1331_clear(YELLOW);   
   delay(1000); 
  SSD1331_clear(MAGENTA);   
   delay(1000);    


  /* display an image of bitmap matrix */
  SSD1331_65k_bitmap(0, 0, pic1, 96, 64);
  delay(3000);
  
  SSD1331_clear(BLACK);
  /* display images of bitmap matrix */
  SSD1331_mono_bitmap(0, 2, Signal816, 16, 8, GOLDEN); 
  SSD1331_mono_bitmap(19, 2, Msg816, 16, 8, GOLDEN); 
  SSD1331_mono_bitmap(38, 2, Bluetooth88, 8, 8, GOLDEN); 
  SSD1331_mono_bitmap(52, 2, GPRS88, 8, 8, GOLDEN); 
  SSD1331_mono_bitmap(66, 2, Alarm88, 8, 8, GOLDEN); 
  SSD1331_mono_bitmap(80, 2, Bat816, 16, 8, GOLDEN); 

 
 
  /* display strings 32x16 */
  /*
  SSD1331_char3216(0,16, '1', BLUE);
  SSD1331_char3216(16,16, '2', BLUE);
  SSD1331_char3216(40,16, ':', RED);
  SSD1331_char3216(64,16, '3', GREEN);
  SSD1331_char3216(80,16, '4', GREEN);
*/

      uint8_t r,g,b;
      uint8_t Hour = 12;
      uint8_t Min = 00;
      uint8_t Sec = 00;
      char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
      while (1) {
        Sec++;
        if (Sec == 60) {
          Min = Min + 1;
          Sec = 0;
          if (Min == 60) {
            Hour =  Hour + 1;
            Min = 0;
            if (Hour == 24) {
              Hour = 0;
              Min = 0;
              Sec = 0;
            }
          }
        }
        SSD1331_char(0, 26, value[Hour / 10], 12, 1,RED);
        SSD1331_char(14, 26, value[Hour % 10], 12, 1,RED);
        SSD1331_char(26, 26, ':' , 12, 1,WHITE);
        SSD1331_char(38, 26, value[Min / 10], 12, 1, GREEN);
        SSD1331_char(50, 26, value[Min % 10], 12, 1, GREEN);
        SSD1331_char(62, 26, ':' , 12, 1,WHITE);
        SSD1331_char(74, 26, value[Sec / 10], 12, 1, BLUE);
        SSD1331_char(86, 26, value[Sec  % 10], 12, 1, BLUE);
        
      /* display strings */
        if (Sec % 2==0)
        SSD1331_string(6, 52, "buydisplay.com", 12, 1, CYAN);
        else
        SSD1331_string(6, 52, "buydisplay.com", 12, 0, CYAN);   
          delay(1000);   // 1s
          
          
      }
    




}

